/* Global Application styles */

.alb-page-title {
    font-size: 24px;
    font-weight: 700;
    letter-spacing: 0.1rem;
    text-align: center;
}
.alb-page-subtitle {
    font-size: 22px;
    font-weight: 500;
    letter-spacing: 0.1rem;
}
.alb-user-traits-container {
    display: flex;
    align-items: center;
}
.alb-user-traits-control {
    font-size: 20px;
    font-weight: 500;
    background-color: #FFF;
    padding: 1px 4px;
    border-radius: 4px;
}
.app-separator-line {
    margin: 16px 0;
    background-color: #CCC;
    height: 1px;
}
.app-separator-line-thin {
    margin: 6px 0;
    background-color: #CCC;
    height: 1px;
}
.app-settings-container {
    border-radius: 6px;
    margin-top:12px;
    padding: 8px 10px;
    border: 1px solid #333;
}

/* Flex */
.flex-container-horizonal-space {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* Form Inputs */
.alb-input-label {
    font-size: 16px;
    font-weight: 500;
}

/* Home Feed */

.app-home-item {
  margin-top: 20px;
  padding: 12px 16px;
  border: 1px solid #111212;
  cursor: pointer;
}

/* Images */

.app-background-image-wrapper {
  border-radius: 50%;
  overflow: hidden;
  background-color: inherit;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  z-index:10;
}
.app-image-wrapper {
  width: 250px;
  max-width: 100%;
  height: auto;
  max-height: 250px;
  overflow: hidden;
  padding: 10px;
  border-radius: 5px;
  position: relative;
}
.app-image-wrapper > img {
  max-width: 100%;
  height: auto;
}

/* Games */

.app-season-name {
    font-size: 120%;
    font-weight: 500;
}
.alb-game-name {
    font-size: 110%;
    font-weight: 500;
    display:flex;
    align-items:center;
}
.alb-game-name > i {
    margin-left:8px;
    cursor: pointer;
}
.alb-team-name {
    font-size: 110%;
    font-weight: 500;
}
.alb-player-name {
    font-size: 120%;
    font-weight: 500;
}
.app-game-header {
    font-weight: 500;
    background-color: #EEE;
    margin: -12px -16px 10px;
    padding: 5px 12px;
}
.alb-game-summary {
    display: flex;
    align-items: center;
}
.alb-game-summary > div:first-child {
    float: left;
    width: calc(100% - 78px);
    padding-right: 16px;
}
.alb-game-summary > div:last-child {
    float: left;
    width: 78px;
    border-left: 1px solid #AAA;
}
.alb-game-score {
    color: #6A6A6A;
    font-weight: 500;
    font-size: 110%;
}
.alb-game-score > div:first-child {
    float: left;
}
.alb-game-score > div:last-child {
    float: right;
}
.alb-game-score-winner {
    font-weight: bold;
    color: black;
}
.alb-game-users-summary {
    padding: 10px 12px;
    border: 1px solid #25518a;
    border-radius: 4px;
    position: relative;
}
.alb-access-control-icon {
    position: absolute;
    right: 8px;
    top: 8px;
}
.app-game-player {
    background-color: #e1e6eb;
    border: 1px solid #111212;
    margin-bottom: 12px;
    padding: 6px 8px;
    overflow: hidden;
}
.app-game-player-order-bar {
    background-color: #333;
    color: #FFF;
    margin: -8px -8px 0;
    padding: 10px;
    font-size: 110%;
}
.app-visitor-highlight-color {
    background-color: #dce8f7;
    border-color: #25518a;
}
.app-home-highlight-color {
    background-color: #eddddd;
    border-color: #a32222;
}
.app-pool-report {
    display:flex;
    justify-content:center;
}
.app-pool-report > span {
    margin: 0 10px;
}

/* Game Scoring */
.app-player-name {
    font-weight: 500;
}
.app-game-summary {
    font-weight: bold;
}
.app-game-score {
    width: 60px;
    text-align: center;
    font-size: 32px;
    font-weight: 500;
    line-height: 42px;
    padding: 3px 6px 1px;
    border: 2px solid #111212;
    border-radius: 3px;
}
.app-game-score-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.app-game-state-container {
    display: flex;
    flex-wrap: wrap;
    row-gap: 10px;
    justify-content: center;
}
.app-game-state-container > div {
    margin: 0 5px;
    display: flex;
    align-items: center;
}
.app-game-score-button {
    text-align: center;
    margin: 0 4px;
    padding: 4px 8px;
    font-size: 14px;
    border: 1px solid #111212;
    border-radius: 4px;
    cursor: pointer;
}
.app-game-state-item {
    font-size: 14px;
    text-align: center;
    margin: 0 4px;
    padding: 2px 0;
    width: 26px;
    height: 26px;
    border: 1px solid #111212;
    border-radius: 50%;
    cursor: pointer;
}
.app-game-state-item-lg {
    border-radius: 4px;
    width: auto;
    padding: 2px 8px;
}
.app-game-state-item-selected {
    background-color: #25518a;
    color: #FFFFFF;
    border-color: #25518a;
}
.app-game-runners {
    position: relative;
    width: 30px;
    height: 30px;
    margin:0 auto;
    transform: rotate(45deg);
}
.app-game-runners > div {
    width: 12px;
    height: 12px;
    border: 1px solid #111212;
    position: absolute;
}
.app-game-runners > div:nth-child(1) {
    top: 0;
    right: 0;
}
.app-game-runners > div:nth-of-type(2) {
    top: 0;
    left: 0;
}
.app-game-runners > div:nth-child(3) {
    bottom: 0;
    left: 0;
}
.app-game-runners-base {
    background-color: #111212;
}
.app-game-home-plate {
    width: 24px !important;
    height: 24px !important;
    padding: 2px;
    clip-path: polygon(0% 0%, 100% 0%, 100% 50%, 50% 100%, 0% 50%, 0 0);
    background-color: #111212;
    border: none !important;
    overflow: hidden;
    transform: rotate(-45deg);
}
.app-game-home-plate > div {
    width: 20px;
    height: 20px;
    clip-path: polygon(0% 0%, 100% 0%, 100% 50%, 50% 100%, 0% 50%, 0 0);
    background-color: #e1e6eb;
    overflow: hidden;
}
.app-game-runners-lg {
    position: relative;
    width: 72px;
    height: 72px;
    margin:0 auto;
    transform: rotate(45deg);
}
.app-game-runners-lg > div {
    width: 20px;
    height: 20px;
    border: 1px solid #111212;
    position: absolute;
}
.app-game-runners-lg > div:nth-child(4) {
    bottom: -4px;
    right: -4px;
}
.app-game-outs {
    display: flex;
    justify-content: center;
}
.app-game-outs > div {
    width: 12px;
    height: 12px;
    border: 1px solid #111212;
    border-radius: 50%;
    margin:0 2px;
}
.app-game-count {
    text-align: center;
    font-weight: 500;
    width: 50px;
}
.app-game-plays-wrapper {
    max-width:380px;
    margin:0 auto;
    padding-left:13px;
    border-left:1px solid #AAA;
}
.app-game-plays-wrapper > div {
    margin-left: -30px;
}
.app-game-plays > div {
    display: flex;
    align-items: center;
    margin-bottom: 12px;
}
.app-game-plays-divider-label {
    display: block !important;
    background-color: #e1e6eb;
    font-size: 15px;
    font-weight: bold;
    text-align: center;
}
.app-game-plays-divider-label-lightbg {
    background-color: #FFF;
}
.app-game-player-name-wrapper {
    display: flex;
    align-items: center;
}
.app-game-play-outcome {
    font-size: 110%;
    font-weight: 500;
}
.app-game-player-name {
    font-weight: 500;
    text-align: left;
}
.app-game-player-icon {
    width: 32px;
    height: 32px;
    border: 2px solid transparent;
    border-radius: 50%;
    overflow: hidden;
    font-size: 13px;
    line-height: 100%;
    font-weight: bold;
    background-color: orange;
    display: flex;
    justify-content: center;
    align-items: center;
}
.app-game-matchup-header {
    background-color: #43464B;
    color: #FFFFFF;
    font-size: 13px;
    font-weight: bold;
    padding: 1px 5px;
}
.app-game-runners-header {
    background-color: #e1e6eb;
    border: 1px solid #43464B;
    font-size: 14px;
    padding: 3px 5px;
}
.app-game-runners-header > div {
    max-width: 520px;
    margin:0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.app-game-batters-header {
    background-color: #e1e6eb;
    border: 1px solid #43464B;
    font-size: 14px;
    padding: 2px 5px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.app-game-batters-header > div {
    margin:0 20px;
    text-align: center;
}
.app-game-runner-button {
    font-size: 14px;
    text-align: center;
    margin: 0 4px;
    padding: 2px 8px;
    border: 1px solid #111212;
    border-radius: 2px;
    cursor: pointer;
}
.app-game-runner-button-secondary {
    background-color: hsl(0,38%,81%);
}
.app-game-state-item-red-selected {
    background-color: #a32222;
    color: #FFFFFF;
    border-color: #a32222;
}
.app-game-field-section {
    position:absolute;
    background-color: transparent;
    overflow:hidden;
    width:100%;
    height:77%;
    top:0;
    left:0;
}
.app-game-fielder {
    position:absolute;
    overflow:hidden;
    width:100%;
    height:77%;
    top:0;
    left:0;
}
.app-game-fielder-number {
    display: none;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: #25518a;
    color: #FFFFFF;
    font-size: 12px;
    padding-top: 2px;
    text-align: center;
    position: absolute;
    top: 0;
    left: 0;
}
.app-game-team-user {
    display:flex;
    align-items:center;
    margin-bottom:6px;
    padding-top:6px;
    border-top: 1px solid #e1e6eb;
}
.app-game-team-user > div:first-child {
    width: 200px;
}
.app-game-team-user:last-child {
    padding-bottom:6px;
    border-bottom: 1px solid #e1e6eb;
}
.app-game-user-warning {
    background-color: #d19999;
    border: 1px solid #a32222;
    padding: 4px 6px;
    text-align: center;
}
.app-game-player-stats {
    font-size: 13px;
    font-weight: 500;
}
.app-game-player-stats > span {
    font-weight: 300;
    color: #43464B;
}
@media screen and (max-width: 520px) {
    .app-player-name {
        font-size: 14px;
    }
    .app-game-runners-header {
        font-size: 13px;
    }
    .app-game-batters-header {
        font-size: 13px;
    }
    .app-game-player-stats {
        font-size: 12px;
    }
}

/* Leagues */

.app-league-name {
    font-size: 130%;
    font-weight: 500;
}
.app-league-heading {
    font-size: 115%;
    font-weight: 500;
}
.app-league-information {
    border: 1px solid #25518a;
    background-color: #efefef;
    border-radius: 4px;
    padding: 10px 12px;
}
.app-league-item-description {
    border: 1px solid #111212;
    margin-bottom: 12px;
    padding: 8px 10px;
    cursor: pointer;
}
.app-league-item-name {
    font-size: 110%;
    font-weight: 500;
}
.app-season-draft-table {
    width: 100%;
    max-width: 320px;
    margin:0 auto;
}
.app-season-draft-teams-table {
    max-width: 520px;
}
.app-season-draft-table th, .app-season-draft-table td {
    border: 1px solid #333;
    font-size: 20px;
    font-weight: regular;
    padding: 4px 6px;
    text-align: center;
}
.app-season-draft-table th {
    font-weight: bold;
    font-size: 16px;
}
.app-season-draft-table > tr:first-of-type {
    background-color: rgba(224,230,235,0.7);
}

/* Tournaments */

.app-tournament-name {
    font-size: 115%;
    font-weight: 500;
}
.app-tournament-heading {
    font-size: 115%;
    font-weight: 500;
}
.app-tounament-information {
    border: 1px solid #25518a;
    background-color: #e1e6eb;
    border-radius: 4px;
    padding: 10px 12px;
}
.app-tounament-info-label {
    font-size: 100%;
    font-weight: 500;
}
.app-tournment-detail {
    display:flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    margin-bottom: 4px;
}
.app-tournament-teams-list {
    width:40%;
    border: 1px solid #e1e6eb;
    padding: 10px;
}
.app-tournament-users-list {
    margin-left: 15px;
    width: calc(60% - 15px);
}
.app-tournament-item-description {
    padding: 3px 10px;
    cursor: pointer;
}
.app-tournament-player-name {
    font-size: 105%;
    font-weight: 500;
}
.app-tournment-team-colors {
    display:flex;
    flex-wrap; wrap;
    row-gap: 5px;
}
.app-tournament-team-color-selected {
    border-color: #25518a;
}
.app-tournament-team-name {
    font-weight: 500;
    font-size: 110%;
}
.app-tournament-team-user-count {
    font-weight: 500;
    font-size: 110%;
    line-height: 105%;
    background-color: #111212;
    color: #FFFFFF;
    border-radius: 5px;
    padding: 4px;
    width: 28px;
    text-align: center;
}
.app-tournament-team-user {
    display:flex;
    align-items:center;
    margin-bottom:10px;
    padding: 5px 0;
    border-top: 1px solid #e1e6eb;
}
.app-tournament-team-user:last-child {
    border-bottom: 1px solid #e1e6eb;
}
.app-tournament-facility-date-container {
    display: flex;
    align-items: center;
}
.app-tournament-facility-date-container > i {
    cursor: pointer;
    margin-left:10px;
}
.app-tournament-facility-date {
    border: 1px solid #e1e6eb;
    padding: 5px 8px;
    max-width: 260px;
    margin-bottom: 6px;
}
.app-hotel-summary {
  margin-top: 20px;
  min-height: 84px;
  padding: 12px 16px;
  border: 1px solid #111212;
  position: relative;
}
.app-hotel-name {
    font-size: 105%;
    font-weight: 500;
}
.app-hotel-info {
    padding: 5px 0px;
}
.app-button-container {
    position: absolute;
    top: 5px;
    right: 5px;
}
@media screen and (max-width: 720px) {
    .app-tournament-users-list {
        width: 100%;
        margin-left: 0;
        margin-top: 15px;
    }
    .app-tournament-teams-list {
        width: 100%;
    }
}

/* Stats */
.app-simple-table th, .app-simple-table td {
    border: 1px solid #333;
    font-size: 16px;
    font-weight: regular;
    padding: 6px 8px;
    text-align: left;
}
.alb-stats-table, .app-simple-table {
    width: 100%;
}
.alb-stats-table th, .alb-stats-table td {
    border: 1px solid #333;
    font-size: 16px;
    font-weight: regular;
    padding: 4px 3px;
    text-align: center;
}
.alb-stats-table th {
    font-weight: bold;
}
.alb-stats-table > tr:first-of-type {
    background-color: rgba(224,230,235,0.7);
}
.alb-stats-table-header {
    background-color: #e1e6eb;
}
.alb-stats-table-player th:first-child {
    width: 200px;
    text-align: left;
}
.alb-stats-table-player td:first-child {
    width: 200px;
    text-align: left;
}
.alb-table-tournament-player th:first-child {
    width: 200px;
    text-align: left;
}
.alb-table-tournament-player td:first-child {
    width: 200px;
    text-align: left;
}
.alb-stats-table-container {
    overflow: hidden;
}
.alb-stats-table-container > table {
    float: left;
    width: 180px;
}
.alb-stats-table-container > div {
    float: left;
    width: calc(100% - 180px);
    overflow-x: auto;
    scrollbar: hidden;
    box-shadow: 0px 5px 5px 0 #888, 0px -5px 5px 0 #888, inset -6px 0px 4px rgba(0,0,0,0.2);
}
.alb-tournament-table-container > table {
    width: 200px;
}
.alb-tournament-table-container > div {
    width: calc(100% - 200px);
}
.alb-stats-table-container > div td {
    min-width: 25px;
    padding: 4px 6px;
}
.app-stats-table-game {
    margin: 0 auto;
}
.app-stats-table-game th:first-child {
    width: 250px;
    text-align: left;
}
.app-stats-table-game td:first-child {
    width: 250px;
    text-align: left;
}
.app-game-player-position {
    cursor: pointer;
}
.app-game-player-position > span {
    border: 2px solid transparent;
    padding: 2px;
}
.app-game-player-positions-overlay {
    display: none;
    position: absolute;
    background-color: #FFF;
    border: 1px solid #999;
    box-shadow: 0px 5px 12px 0 #999;
    text-align: center;
}
.app-game-player-positions-overlay-label {
    padding: 2px 5px;
    font-size: 90%;
    text-align:center;
}
.app-game-player-positions-overlay-label-lg {
    font-size: 110%;
}
.app-game-player-positions-overlay-content {
    padding: 8px;
    overflow-y: auto;
}
.app-game-player-positions-overlay-content > div {
    margin: 5px auto;
    padding: 6px 10px;
    background-color: #e1e6eb;
    border: 2px solid transparent;
    cursor: pointer;
}
.app-game-player-positions-overlay-close {
    background-color: #25518a;
    color: #FFF;
    cursor: pointer;
    font-size: 13px;
    padding: 4px;
}
@media screen and (max-width: 720px) {
    .alb-stats-table-player th:first-child {
        width: 150px;
    }
    .alb-stats-table-player td:first-child {
        width: 150px;
    }
    .app-stats-table-game th:first-child {
        width: 220px;
    }
    .app-stats-table-game td:first-child {
        width: 220px;
    }
    .alb-table-tournament-player th:first-child {
        width: 200px;
    }
    .alb-table-tournament-player td:first-child {
        width: 200px;
    }
    .alb-stats-table-container > table {
        float: left;
        width: 130px;
    }
    .alb-stats-table-container > div {
        float: left;
        width: calc(100% - 131px);
    }
    .alb-tournament-table-container > table {
        width: 200px;
    }
    .alb-tournament-table-container > div {
        width: calc(100% - 200px);
    }
}

/* League */

.sm-league-player {
    background-color: #EEE;
    border: 1px solid #333;
    border-radius: 5px;
    margin-bottom: 12px;
    padding: 8px;
    overflow: hidden;
    cursor: pointer;
}
.sm-league-player-selected {
    background-color: #FFF;
    border: 1px solid #000;
}
.sm-sport-positions-container {
    display: flex;
    justify-content: space-between;
}
.sm-sport-position-item {
    border: 1px solid hsl(210, 20%, 60%);
    color: hsl(210, 20%, 75%);
    width: 30px;
    height: 30px;
    text-align: center;
    border-radius: 16px;
    padding: 4px;
    margin-right: 2px;
    font-weight: 500;
}
.sm-sport-position-item-sm {
    width: 22px;
    height: 22px;
    padding: 2px;
    font-size: 12px;
}
.sm-sport-position-item-highlighted {
    border: 1px solid #111212;
    color: #111212;
}
.app-roles-item {
    border: 1px solid hsl(210, 20%, 75%);
    color: hsl(210, 20%, 75%);
    width: 28px;
    height: 28px;
    text-align: center;
    border-radius: 4px;
    padding: 4px;
    margin-right: 2px;
    font-weight: 500;
    cursor: pointer;
}
.app-roles-item-sm {
    width: 22px;
    height: 22px;
    padding: 2px;
    font-size: 12px;
}
.app-roles-item-manager {
    border: 1px solid #111212;
    background-color: #111212;
    color: #FFFFFF;
}
.app-roles-item-scorer {
    border: 1px solid #25518a;
    background-color: #25518a;
    color: #FFFFFF;
}

/* Profile */
.app-profile-text-container {
    background-color: #e1e6eb;
    border: 1px solid #43464B;
    padding: 12px 16px;
    text-align: left;
}

/* Nav */

.app-view-page-nav {
  background-color: #e1e6eb;
  width: calc(100% + 30px);
  margin: 0 -15px;
  padding: 5px 0;
  overflow-x: auto;
}
.app-view-page-nav > div {
    width: 10000px;
    height: 32px;
}
.app-view-page-nav-item {
  float: left;
  font-size: 15px;
  text-align: center;
  background-color: hsl(210,20%,95%);
  border-radius: 16px;
  box-shadow: 0px 0px 2px #AAA;
  margin: 0 5px;
  padding: 5px 12px;
  cursor: pointer;
}
.app-view-page-nav > div:last-child {
  border-right: none;
}
.app-view-page-nav-selected {
  background-color: #FFF;
  font-weight: 500;
}
.app-navigation-bar {
    max-width: 840px;
    margin: 0 auto;
    height: 30px;
    padding: 5px;
    background-color: #e1e6eb;
    border-bottom: 1px solid #DDD;
    border-radius: 4px;
    color: #333;
    font-size: 16px;
    line-height: 16px;
    font-weight: 500;
    display: flex;
    align-items: center;
}
.app-navigation-bar-button {
    cursor: pointer;
    font-size: 20px;
    line-height: 20px;
    margin-right: 4px;
    padding: 4px 4px;
}
.app-navigation-bar-button-right {
    cursor: pointer;
    font-size: 20px;
    line-height: 20px;
    margin-left: 8px;
}
.app-navigation-bar-title {
    height: 16px;
    overflow: hidden;
}
.app-navigation-view {
    position: fixed;
    top: 56px;
    width: 1000px;
    height: 800px;
    padding: 5px;
    overflow: hidden;
}
.app-scrollable-content {
    overflow-y: auto;
    padding: 0 10px 20px;
    max-width: 820px;
    margin: 0 auto;
}
.app-bottom-content {
    border-top: 1px solid #666;
    position: absolute;
    width: 100%;
    bottom: 0;
    left: 0;
    padding: 15px;
    background-color: #e1e6eb;
}
.app-game-nav-container {
    width: 100%;
    height: 40px;
    overflow-x: auto;
    margin: 16px 0;
    border-top: 1px solid #AAA;
    border-bottom: 1px solid #AAA;
}
.app-game-nav-wrapper {
    width: 10000px;
    height: 40px;
    display: flex;
    align-items: center;
}
.app-game-nav-wrapper > div {
    margin-bottom: -2px;
    padding: 4px 12px;
    border-bottom: 3px solid transparent;
    cursor: pointer;
}
.app-game-nav-selected {
    font-weight: 500;
    border-color: #a32222 !important;
}
.app-game-stats-sort-header {
    cursor: pointer;
}

/* Colors */

.brand-color-icon {
    color: #3564b0;
    font-size: 20px;
}
.brand-color-bg-accent3 {
  background-color: #dce8f7;
}
.brand-color-border-accent3 {
    border-color: #25518a;
}
.brand-color-bg {
  color: #FFFFFF;
}
.brand-color-text {
  color: #111212;
}
.brand-color-accent {
  color: #25518a;
}
.brand-color-accent2 {
  color: #a32222;
}
.brand-color-accent3 {
  color: #dce8f7;
}
.brand-color-accent4 {
  color: #25518a;
}
.brand-color-light {
  color: #C3CEDA;
}
.brand-color-medium {
  color: #43464B;
}
.brand-color-warn {
  color: #d19999;
}
.brand-bg-accent3 {
  background-color: #dce8f7;
}
.brand-bg-private {
    background-color: #f7e9cb;
}
.brand-background-color {
    background-color: #FFFFFF;
}
.brand-background-light {
    background-color: #e1e6eb;
}
.brand-border-accent {
    border-color: #25518a !important;
}
.brand-border-warn {
    border-color: #d19999 !important;
}

/* Payments */

@media screen and (max-width: 400px) {
    #paypalButtonContainer {
        width: 100%;
    }
}
@media screen and (min-width: 400px) {
    #paymentFormContainer {
        width: 420px;
        margin: 0 auto;
    }
    #paypalButtonContainer {
        width: 250px;
        margin: 0 auto;
    }
}
